#ifndef PW_SYSTEM_DISPLAY_HPP
#define PW_SYSTEM_DISPLAY_HPP

#include <pw/core/globals.hpp>
#include <pw/core/point.hpp>

namespace pw {

class display {
public:

	typedef std::vector<display> list;

	static const list& all() { return _displays; }

	std::string name() const { return _name; }

protected:

	friend class window;

	std::string _name;

	static list _displays;

};

}

#endif
